Runtime

## org.eclipse.gmf.runtime.diagram.ui.resources.editor.document
Class DiagramDocument

    java.lang.Object
      org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocument
          org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.DiagramDocument

All Implemented Interfaces:
  IDiagramDocument, IDocument

public final class DiagramDocument
extends AbstractDocument
implements IDiagramDocument

An implementation of `IDiagramDocument`,

Field Summary

Fields inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocument
`content`

Fields inherited from interface org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocument
`UNKNOWN_MODIFICATION_STAMP`

Constructor Summary
`DiagramDocument()`

Method Summary
`protected void` `completeInitialization()` Initializes document listeners, positions, and position updaters.
`Diagram` `detachDiagram()` Detaches the attached `Diagram` from this document.
`Diagram` `getDiagram()` Returns the diagram for this diagram document
`org.eclipse.emf.transaction.TransactionalEditingDomain` `getEditingDomain()`
`void` `setEditingDomain(org.eclipse.emf.transaction.TransactionalEditingDomain domain)` Sets the EditingDomain for this document

Methods inherited from class org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.AbstractDocument
`addDocumentListener, addPrenotifiedDocumentListener, doFireDocumentChanged, fireDocumentAboutToBeChanged, fireDocumentChanged, getContent, getModificationStamp, removeDocumentListener, removePrenotifiedDocumentListener, resumeListenerNotification, setContent, setContent, stopListenerNotification`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gmf.runtime.diagram.ui.resources.editor.document.IDocument
`addDocumentListener, addPrenotifiedDocumentListener, getContent, getModificationStamp, removeDocumentListener, removePrenotifiedDocumentListener, resumeListenerNotification, setContent, setContent, stopListenerNotification`

Constructor Detail

### DiagramDocument

    public DiagramDocument()

Method Detail

### getDiagram

    public Diagram getDiagram()

  Description copied from interface: `IDiagramDocument`
  Returns the diagram for this diagram document

  Specified by:
    `getDiagram` in interface `IDiagramDocument`
  Returns:
    Diagram for this document

### detachDiagram

    public Diagram detachDiagram()

  Description copied from interface: `IDiagramDocument`
  Detaches the attached `Diagram` from this document.

  Specified by:
    `detachDiagram` in interface `IDiagramDocument`
  Returns:
    the detached diagram.

### completeInitialization

    protected void completeInitialization()

  Description copied from class: `AbstractDocument`
  Initializes document listeners, positions, and position updaters. Must be called inside the constructor after the implementation plug-ins have been set.

  Overrides:
    `completeInitialization` in class `AbstractDocument`

### getEditingDomain

    public org.eclipse.emf.transaction.TransactionalEditingDomain getEditingDomain()

  Specified by:
    `getEditingDomain` in interface `IDiagramDocument`
  Returns:
    The editing domain for this diagram document

### setEditingDomain

    public void setEditingDomain(org.eclipse.emf.transaction.TransactionalEditingDomain domain)

  Description copied from interface: `IDiagramDocument`
  Sets the EditingDomain for this document

  Specified by:
    `setEditingDomain` in interface `IDiagramDocument`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.